# Interface ModePlotter<S extends Style>

All Superinterfaces:
  `Plotter<S>`

All Known Subinterfaces:
  `ShapeModePlotter`

All Known Implementing Classes:
  `ArrayShapePlotter, ShapePlotter`

public interface ModePlotter<S extends Style> extends Plotter<S>
Plotter sub-interface that marks a family of plotters as having similar characteristics. These are used by the TOPCAT GUI to group plotters together for display and user interaction. The `Mode` and `Form` can in principle be varied separately to form a family of plotters that can share a similar UI if the mode and form implement known subinterfaces of those interfaces.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ModePlotter.Form`
Marker interface for an object that is shared between plotters sharing characteristics that make it useful to group them.
`static interface`
`ModePlotter.Mode`
Marker interface for an object that is shared between plotters sharing characteristics that make it useful to group them.

## Method Summary

Modifier and Type
Method
Description
`ModePlotter.Form`
`getForm()`
Returns the form of this plotter.
`ModePlotter.Mode`
`getMode()`
Returns the mode of this plotter.

### Methods inherited from interface Plotter

`createLayer, createStyle, getCoordGroup, getPlotterDescription, getPlotterIcon, getPlotterName, getRangeStyleKey, getStyleKeys, hasReports`

## Method Details

### getMode

ModePlotter.Mode getMode()
Returns the mode of this plotter.

Returns:
  plotter mode

### getForm

ModePlotter.Form getForm()
Returns the form of this plotter.

Returns:
  plotter form